Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.action
Class DeleteInstancesAction

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protege.util.StandardAction
              edu.stanford.smi.protege.util.AllowableAction
                  edu.stanford.smi.protege.util.DeleteAction
                      edu.stanford.smi.protege.action.DeleteInstancesAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Direct Known Subclasses:
  DeleteClsAction

    public class DeleteInstancesAction

extends DeleteAction

Action to attempt to delete an instance. If the instance being deleted is a class then that class cannot have any instance. The reason for this restriction is that people have been known to delete a metaclass without realizing that all of its instances will disappear. It might be better to just do the check on metaclasses...

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protege.util.StandardAction
`DISABLED_ICON`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`DeleteInstancesAction(ResourceKey key, Selectable selectable)`
`DeleteInstancesAction(Selectable selectable)`
`DeleteInstancesAction(String text, Selectable selectable)` Deprecated. Use ResourceKey version

Method Summary
`void` | `deleteInstance(Instance instance)`
`protected void` | `onAboutToDelete(Object o)`
`protected void` | `onAfterDelete(Object o)`
`void` | `onDelete(Object o)`
`void` | `onSelectionChange()`

Methods inherited from class edu.stanford.smi.protege.util.DeleteAction
`actionPerformed, onDelete, onDelete`

Methods inherited from class edu.stanford.smi.protege.util.AllowableAction
`getSelectable, getSelection, isAllowed, setAllowed`

Methods inherited from class edu.stanford.smi.protege.util.StandardAction
`equals, getIcon, getName, getName, initialize, setDescription, setDescription, setDisabledIcon, setDisabledIcon, setIcon, setIcon, setMnemonic, setMnemonic, setName, setName, setShortcut, setShortcut, substituteIntoName`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteInstancesAction

    public DeleteInstancesAction(Selectable selectable)

### DeleteInstancesAction

    public DeleteInstancesAction(ResourceKey key,
                                 Selectable selectable)

### DeleteInstancesAction

    @Deprecated
    public DeleteInstancesAction(String text,
                                            Selectable selectable)

  Deprecated. Use ResourceKey version

Method Detail

### onAboutToDelete

    protected void onAboutToDelete(Object o)

### onAfterDelete

    protected void onAfterDelete(Object o)

### onDelete

    public void onDelete(Object o)

  Overrides:
    `onDelete` in class `DeleteAction`

### deleteInstance

    public void deleteInstance(Instance instance)

### onSelectionChange

    public void onSelectionChange()

  Overrides:
    `onSelectionChange` in class `AllowableAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.